summaryrefslogtreecommitdiff
path: root/localtidygeojson
diff options
context:
space:
mode:
authorJonas Smedegaard <dr@jones.dk>2014-01-12 20:46:52 +0100
committerJonas Smedegaard <dr@jones.dk>2014-01-12 20:46:52 +0100
commit2644211898a7b36f0568a80a1d9c3c84b82e84c2 (patch)
tree3fcad251095dc2b91d7827b5f86b093fdf518ebf /localtidygeojson
parent9dd944d952ad84c064addbafcbac23ee933c4827 (diff)
New script localtidygeojson.
Diffstat (limited to 'localtidygeojson')
-rwxr-xr-xlocaltidygeojson23
1 files changed, 23 insertions, 0 deletions
diff --git a/localtidygeojson b/localtidygeojson
new file mode 100755
index 0000000..23d95c5
--- /dev/null
+++ b/localtidygeojson
@@ -0,0 +1,23 @@
+#!/bin/sh
+#
+# Copyright © 2014 Jonas Smedegaard <dr@jones.dk>
+# Description: Tidy GeoJSON e.g. from <http://tyrasd.github.io/osmtogeojson/>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+# Depends: libjson-xs-perl moreutils
+
+set -eu
+
+json_xs < "$1" | perl -0 -pe 's/ /\t/g; s/},\s*{/}, {/g; s/\[\s*([\d.,]+)\s*([\d.]+)\s*\]/[$1 $2]/g' | sponge "$1"